Subject: [PATCH v4 0/6] generic early_ioremap support

From: [email-masked] (H. Peter Anvin)
Date: Tue, 25 Feb 2014 11:42:22 -0800

On 02/25/2014 10:45 AM, Mark Salter wrote:
> On Tue, 2014-02-25 at 18:30 +0000, Will Deacon wrote:
>> I'd suggest spitting the core part out from the arch-specific parts. That
>> way, the core part can merged independently and architectures can move over
>> as they see fit. It also signals (at least to me) that, "hey, I should
>> probably review this" whilst my current stance is "there's a whole load of
>> stuff under mm/ that needs to be acked first".
>>
>> If you put the whole thing into next, you just run the risk of conflicts
>> with all the arch trees.
> 
> I've been thinking of breaking out the common bits and x86 bits and just
> going with that for now. There's no point in just doing the common bits
> because it won't get tested without at least one architecture using it.
> 

If you think it makes sense we could take the common bits + x86 and put
them through the -tip tree.  The other option would be to put the whole
thread in linux-next with Acks.

As far as x86 is concerned it looks like it is mostly just code
movement, so I'm happy giving my:

Acked-by: H. Peter Anvin <[email-masked]>